Listagem das Marcas
curl --request GET \
--url https://homolog.clubfix.com.br/webservice/brands \
--header 'Authorization: <authorization>'import requests
url = "https://homolog.clubfix.com.br/webservice/brands"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://homolog.clubfix.com.br/webservice/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"name": "Alcatel",
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/brands/1"
}
},
{
"id": 2,
"name": "Apple",
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/brands/2"
}
},
{
"id": 3,
"name": "Huawei",
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/brands/3"
}
},
{
"id": 4,
"name": "LG",
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/brands/4"
}
},
{
"id": 5,
"name": "Motorola",
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/brands/5"
}
},
{
"id": 6,
"name": "Samsung",
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/brands/6"
}
},
{
"id": 7,
"name": "Sony",
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/brands/7"
}
}
],
"links": {
"first": "https://homolog.clubfix.com.br/webservice/brands?page=1",
"last": "https://homolog.clubfix.com.br/webservice/brands?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Anterior",
"active": false
},
{
"url": "https://homolog.clubfix.com.br/webservice/brands?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Próxima »",
"active": false
}
],
"path": "https://homolog.clubfix.com.br/webservice/brands",
"per_page": 15,
"to": 7,
"total": 7
}
}Dispositivos
Listar Marcas de Dispositivos
Retorna as marcas de dispositivos disponíveis para o parceiro
GET
/
brands
Listagem das Marcas
string
required
Token de autenticação do tipo Bearer obtido através do endpoint de login.
integer
Número da página para paginação. Padrão:
1.integer
Quantidade de itens por página. Padrão:
15.Resposta
| Campo | Tipo | Descrição |
|---|---|---|
id | integer | Identificador da marca. Usar como filter[brand] ao listar modelos |
name | string | Nome da marca (ex: Apple, Samsung, Xiaomi) |
Use o
id da marca para filtrar modelos: GET /models?filter[brand]={id}.Was this page helpful?
